#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define CLR_STDIN() while(getchar() != '\n'){}

int polygon_area(float *p_area, unsigned int sides, float length) {
  if (sides < 3) return 0;

  *p_area = length*length*(float)sides / (4*tan(M_PI/sides));

  return 1;
}

int main() {
  int rc;
  unsigned int sides = 0;
  float length, area;

  polygon_area(&area, sides, length);

  do {
    printf("Enter number of sides: ");
    rc = scanf("%u", &sides);
    CLR_STDIN();

    if (rc == 1) {
      break;
    }
  } while (1);

  do {
    printf("Enter side length: ");
    rc = scanf("%f", &length);
    CLR_STDIN();

    if (rc == 1) {
      break;
    }
  } while (1);

  rc = polygon_area(&area, sides, length);
  if (rc == 0) {
    printf("Error\n");
    return 1;
  }

  printf("Area: %.2f\n", area);
  return 0;
}
